unit uContactosViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils,
  uEditorPacientes, 
  uEditorPaciente, uEditorElegirPacientes, uEditorDireccion,
  uEditorFichasPacienteReport, uEditorEtiquetasContactosReport,
  uEditorDatoBancario, uEditorPersonal, uEditorElegirPersonaContacto;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorPacientes, 'EditorPacientes');

  EditorRegistry.RegisterClass(TfEditorPaciente, 'EditorPaciente');

  EditorRegistry.RegisterClass(TfEditorElegirPacientes, 'EditorElegirPacientes');

  EditorRegistry.RegisterClass(TfEditorDireccion, 'EditorDireccion');

  EditorRegistry.RegisterClass(TfEditorPersonal, 'EditorPersonalContacto');

  EditorRegistry.RegisterClass(TfEditorDatoBancario, 'EditorDatoBancarioContacto');

  EditorRegistry.RegisterClass(TfEditorFichasPacientePreview, 'EditorFichasPacientePreview');
  EditorRegistry.RegisterClass(TfEditorEtiquetasContactosPreview, 'EditorEtiquetasContactosPreview');

  EditorRegistry.RegisterClass(TfEditorElegirPersonaContacto, 'EditorElegirPersonaContacto');
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorPacientes);

  EditorRegistry.UnRegisterClass(TfEditorPaciente);

  EditorRegistry.UnRegisterClass(TfEditorElegirPacientes);

  EditorRegistry.UnRegisterClass(TfEditorDireccion);

  EditorRegistry.UnRegisterClass(TfEditorPersonal);

  EditorRegistry.UnRegisterClass(TfEditorDatoBancario);

  EditorRegistry.UnRegisterClass(TfEditorFichasPacientePreview);
  EditorRegistry.UnRegisterClass(TfEditorEtiquetasContactosPreview);

  EditorRegistry.UnRegisterClass(TfEditorElegirPersonaContacto);
end;

end.
